<?php
/*
All source code copyright and proprietary Melonfire, 2005. All content, brand names and trademarks copyright and proprietary Melonfire, 2005. All rights reserved. Copyright infringement is a violation of law.

This source code is provided with NO WARRANTY WHATSOEVER. It is produced and meant for illustrative purposes only, and is NOT recommended for use in production environments. 

If you intend to use this source code for anything other than personal, non-commercial use on a single PC, you MUST contact webmaster@melonfire.com for permission and licensing terms.

Read more articles like this one at http://www.melonfire.com/community/columns/trog/ 
*/
?>
<html>
<head><basefont face="Arial"></head>
<body>

<h2>Feed Manager</h2>

<?php
if ($_POST['submit'])
{
	// check form input for errors
	
	// check title
	if (trim($_POST['title']) == '')
	{
		die('ERROR: Please enter a title');
	}

	// check URL
	if ((trim($_POST['url']) == '') || !ereg("^http\://[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(:[a-zA-Z0-9]*)?/?([a-zA-Z0-9\._\?\,\'/\\\+&%\$#\=~\-])*$", $_POST['url']))
	{
		die('ERROR: Please enter a valid URL');
	}

	// check story number
	if (!is_numeric($_POST['count']))
	{
		die('ERROR: Please enter a valid story count');
	}

	// include configuration file
	include('config.php');
	
	// open database file
	$handle = sqlite_open($db) or die ('ERROR: Unable to open database!');
	
	// generate and execute query
	$query = "INSERT INTO rss (title, url, count) VALUES ('" . $_POST['title'] . "', '" . $_POST['url'] . "', '" . $_POST['count'] . "')";
	$result = sqlite_query($handle, $query) or die ("ERROR: $query. " . sqlite_error_string(sqlite_last_error($handle)));
		
	// close connection
	sqlite_close($handle);

	// print success message
	echo 'Item successfully added to the database! Click <a href="admin.php">here</a> to return to the main page';
}
else
{
	die ('ERROR: Data not correctly submitted');
}
?>

</body>
</html>