<?php
/*
All source code copyright and proprietary Melonfire, 2005. All content, brand names and trademarks copyright and proprietary Melonfire, 2005. All rights reserved. Copyright infringement is a violation of law.

This source code is provided with NO WARRANTY WHATSOEVER. It is produced and meant for illustrative purposes only, and is NOT recommended for use in production environments. 

If you intend to use this source code for anything other than personal, non-commercial use on a single PC, you MUST contact webmaster@melonfire.com for permission and licensing terms.

Read more articles like this one at http://www.melonfire.com/community/columns/trog/ 
*/
?>
<html>
<head><basefont face="Arial"></head>
<body>

<h2>Feed Manager</h2>

<h4>Current Feeds:</h4>
<table border="0" cellspacing="10">
<?php
// include configuration file
include('config.php');

// open database file
$handle = sqlite_open($db) or die ('ERROR: Unable to open database!');

// generate and execute query
$query = "SELECT id, title, url, count FROM rss";
$result = sqlite_query($handle, $query) or die ("ERROR: $query. " . sqlite_error_string(sqlite_last_error($handle)));

// if records present
if (sqlite_num_rows($result) > 0)
{
    // iterate through resultset
    // print article titles
	while($row = sqlite_fetch_object($result))
    {
    ?>
        <tr>
		<td><?php echo $row->title; ?> (<?php echo $row->count; ?>)</td>
		<td><font size="-2"><a href="delete.php?id=<?php echo $row->id; ?>">delete</a></font></td>
		</tr>
    <?php
    }
}
// if no records present
// display message
else
{
?>
    <font size="-1">No feeds currently configured</font>
<?php
}

// close connection
sqlite_close($handle);
?>
</table>

<h4>Add New Feed:</h4>
<form action="add.php" method="post">
<table border="0" cellspacing="5">
<tr>
	<td>Title</td>
	<td><input type="text" name="title"></td>
</tr>
<tr>
	<td>Feed URL</td>
	<td><input type="text" name="url"></td>
</tr>
<tr>
	<td>Stories to display</td>
	<td><input type="text" name="count" size="2"></td>
</tr>
<tr>
	<td colspan="2" align="right"><input type="submit" name="submit" value="Add RSS Feed"></td>
</tr>
</table>
</form>

</body>
</html>
